Subject: Re: bug#61453: It is annoying to have to type 'print foo' before each .gdbinit command.

From: Alan Mackenzie <[email-masked]>
Date: Sun, 12 Feb 2023 18:56:44 +0000

tags 61453 wontfix
quit

Hello, Eli.

On Sun, Feb 12, 2023 at 20:33:07 +0200, Eli Zaretskii wrote:
> > Date: Sun, 12 Feb 2023 18:23:36 +0000
> > Cc: [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > > Which is why we also have "pr".

> > OK, but that doesn't help with the annoyance in xpr and friends.
> > Anybody typing an expression with spaces into xpr can continue to use
> > print followed by xpr without arguments.  For the usual case, when
> > there's exactly one argument, my patch resolves the annoyance.  It now
> > handles the $argc > 1 case as an error.

> > So, why not install this patch in master, now?

> I don't like it, sorry.  It is not clean enough, and it goes against
> the overall consistency of the commands we have in src/.gdbinit.

That's a shame.  We should be able to do better with this sort of thing.

> You can always have any commands you want in your own ~/.gdbinit.

Yes, but that doesn't help other people.  I'm closing the bug as won't
fix.

I'll also commit a fix for that other bug I mentioned earlier.

-- 
Alan Mackenzie (Nuremberg, Germany).